List review tasks
GET
/v1/review-taskscurl -X GET 'https://api.embodiflow.io/v1/review-tasks' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- pageSizenumber
Page size. Default 25, maximum 100. Values above the maximum are refused.
- pageTokenstring
Opaque page token from the previous response's `nextPageToken`.
- projectIdstring (uuid)
- datasetVersionIdstring (uuid)
- statusobject
- reviewerProjectMembershipIdstring (uuid)
- unassignedboolean
- overdueboolean
- qstring
响应
Success
- dataarray<ReviewTaskSummaryDto>必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- workflowRunIdstring必填
- subjectTypestring必填
- subjectRefIdstring必填
- statusstring必填
- decisionstring | null必填
- reviewerProjectMembershipIdstring | null必填
- dueAtstring | null必填
- stepKeystring必填
- taskTitlestring必填
- overdueone of必填
- createdAtstring必填
- updatedAtstring必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- requestIdstring必填
- pageSizenumber必填
- totalCountnumber必填
响应示例
{
"data": [
{
"id": "string",
"tenantId": "string",
"projectId": "string",
"workflowRunId": "string",
"subjectType": "string",
"subjectRefId": "string",
"status": "string",
"decision": "string",
"reviewerProjectMembershipId": "string",
"dueAt": "string",
"stepKey": "string",
"taskTitle": "string",
"overdue": false,
"createdAt": "string",
"updatedAt": "string"
}
],
"nextPageToken": "string",
"meta": {
"requestId": "string",
"pageSize": 0,
"totalCount": 0
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1